読者です 読者をやめる 読者になる 読者になる

RMeCabでインストールにこけるときがある

R MeCab

Mac10.5.6を使っていて、Rを「sourceから」インストールしていた場合

> library(RMeCab)
 エラー:  パッケージ 'RMeCab' は universal-apple-darwin8.11.1 に対して造られました 

となって、使えなかった。なんでだろーと思ってバイナリのほうでインストールするといけた。こうじゃないとできない、ということはblasとかconfigureにオプション付けてRのインストールした場合だとだめってことなんだよなー。まあ、今は使わないからいいんだけど。